{% extends 'app/base.html' %}

{% load static %}

{% block styles %}
<link rel="stylesheet" href="{% static 'app/css/app.css' %}">
{% endblock %}

{% block content %}
<div class="post-details" style=" background-color: lightgray;
width: 800px; margin-top: 10px;">
    <h1>Post Name: {{ post.title }}</h1>
    <div class="post-actions">
        <a href="{% url 'blog:edit_post' post.id %}" class="btn custom-btn2">Edit post</a>
        <form style="display: inline-block;" action="{% url 'blog:delete_post' post.id %}" method="post">
            {% csrf_token %}
            <button type="submit" class="btn btn-danger">Delete Post</button>
        </form>
        <br><br>
    </div>
    <div class="post-info">
        <h5>Created by: <a style=" color: black;" href="{% url 'accounts:profile' post.user.id %}">{{ post.user.account.name }}</a>
            <a href="{% url 'messenger:thread' post.user.id %}" style="background-color: gray;" class="btn custom-btn2">Message Post Owner</a>
        </h5>
        <p>{{ post.text }}</p>
        {% if post.blog_image %}
            <img src="{{ post.blog_image.url }}" alt="Image">
        {% endif %}
        <p style="text-align: right;">Published on: {{ post.publish_date }}</p>
    </div>

    

{% endblock %}
